# bookdown

[![Build Status](https://travis-ci.org/rstudio/bookdown.svg)](https://travis-ci.org/rstudio/bookdown)

A open-source (GPL-3) R package to facilitate writing books and long-form articles/reports with R Markdown. Features include:

- Multiple output formats: HTML, PDF, and ePub.
- Makes it easy to produce books that look visually pleasant.
- Styles include Gitbook (https://www.gitbook.com), Tufte CSS (http://rstudio.github.io/tufte/), and Tufte-LaTeX.
- Extended Markdown syntax to support numbering figures/tables, and cross-references, etc.
- Renders interactive HTML widgets and Shiny apps in books.
- Integrated with the RStudio IDE.
- One-click publishing to <https://bookdown.org>.

Full documentation at <https://bookdown.org/yihui/bookdown>, and see "Get Started" at <https://bookdown.org> to know how to get started with writing a book. You are welcome to send us feedback using [Github issues](https://github.com/rstudio/bookdown/issues).
